Package tigase.vhosts.filter

## Class Rule

- java.lang.Object
- - tigase.vhosts.filter.Rule

- All Implemented Interfaces:
    `java.lang.Comparable<Rule>`

      public class Rule
      extends java.lang.Object
      implements java.lang.Comparable<Rule>

  Author:
    Wojtek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Rule.RuleType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Rule​(int id, boolean allow, Rule.RuleType type, JID value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(Rule o)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `protected int` | `getId()` |
    `int` | `hashCode()` |
    `boolean` | `isAllowed()` |
    `java.lang.String` | `toConfigurationString()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Rule

          public Rule​(int id,
                      boolean allow,
                      Rule.RuleType type,
                      JID value)

  - ### Method Detail

    - #### compareTo

          public int compareTo​(Rule o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Rule>`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### isAllowed

          public boolean isAllowed()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toConfigurationString

          public java.lang.String toConfigurationString()

    - #### getId

          protected int getId()